Loading...
Searching...
No Matches
itk::ComputeImageExtremaFilter< TInputImage > Class Template Reference

`#include <itkComputeImageExtremaFilter.h>`

## Detailed Description

template<typename TInputImage>
class itk::ComputeImageExtremaFilter< TInputImage >

Compute minimum and maximum pixel value of an Image.

Definition at line 33 of file itkComputeImageExtremaFilter.h.

Inheritance diagram for itk::ComputeImageExtremaFilter< TInputImage >:
[legend]

## Data Structures

struct | MinMaxResult

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | ImageSpatialMaskConstPointer = typename ImageSpatialMaskType::ConstPointer
using | ImageSpatialMaskPointer = typename ImageSpatialMaskType::Pointer
using | ImageSpatialMaskType = ImageMaskSpatialObject<Self::ImageDimension>
using | InputImagePointer = typename TInputImage::Pointer
using | Pointer = SmartPointer<Self>
using | Self = ComputeImageExtremaFilter
using | Superclass = ImageSink<TInputImage>

## Public Member Functions

virtual const char * | GetClassName () const
virtual const ImageSpatialMaskType * | GetImageSpatialMask ()
PixelType | GetMaximum () const
PixelType | GetMinimum () const
| ITK_DISALLOW_COPY_AND_MOVE (ComputeImageExtremaFilter)
| itkStaticConstMacro (ImageDimension, unsigned int, TInputImage::ImageDimension)
virtual void | SetImageSpatialMask (const ImageSpatialMaskType *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | BeforeStreamedGenerateData () override
| ComputeImageExtremaFilter ()=default
void | ThreadedStreamedGenerateData (const InputImageRegionType &) override
| ~ComputeImageExtremaFilter () override=default

## Static Private Member Functions

static MinMaxResult | RetrieveMinMax (const TInputImage &, const InputImageRegionType &, const ImageSpatialMaskType *, bool)

## Private Attributes

ImageSpatialMaskConstPointer | m_ImageSpatialMask {}
std::mutex | m_Mutex {}
bool | m_SameGeometry { false }
PixelType | m_ThreadMax { 1 }
PixelType | m_ThreadMin { 1 }

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 42 of file itkComputeImageExtremaFilter.h.

## ImageSpatialMaskConstPointer

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::ImageSpatialMaskConstPointer = typename ImageSpatialMaskType::ConstPointer

Definition at line 62 of file itkComputeImageExtremaFilter.h.

## ImageSpatialMaskPointer

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::ImageSpatialMaskPointer = typename ImageSpatialMaskType::Pointer

Definition at line 61 of file itkComputeImageExtremaFilter.h.

## ImageSpatialMaskType

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::ImageSpatialMaskType = ImageMaskSpatialObject<Self::ImageDimension>

Definition at line 60 of file itkComputeImageExtremaFilter.h.

## InputImagePointer

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::InputImagePointer = typename TInputImage::Pointer

Image related typedefs.

Definition at line 51 of file itkComputeImageExtremaFilter.h.

## Pointer

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::Pointer = SmartPointer<Self>

Definition at line 41 of file itkComputeImageExtremaFilter.h.

## Self

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::Self = ComputeImageExtremaFilter

Standard Self typedef

Definition at line 39 of file itkComputeImageExtremaFilter.h.

## Superclass

template<typename TInputImage>

using itk::ComputeImageExtremaFilter< TInputImage >::Superclass = ImageSink<TInputImage>

Definition at line 40 of file itkComputeImageExtremaFilter.h.

## Constructor & Destructor Documentation

## ComputeImageExtremaFilter()

template<typename TInputImage>

itk::ComputeImageExtremaFilter< TInputImage >::ComputeImageExtremaFilter | ( |  | ) |

protected default

## ~ComputeImageExtremaFilter()

template<typename TInputImage>

itk::ComputeImageExtremaFilter< TInputImage >::~ComputeImageExtremaFilter | ( |  | ) |

override protected default

## Member Function Documentation

## BeforeStreamedGenerateData()

template<typename TInputImage>

void itk::ComputeImageExtremaFilter< TInputImage >::BeforeStreamedGenerateData | ( |  | ) |

override protected

Initialize minimum and maximum before the threads run.

## GetClassName()

template<typename TInputImage>

virtual const char * itk::ComputeImageExtremaFilter< TInputImage >::GetClassName | ( |  | ) | const

virtual

Runtime information support.

## GetImageSpatialMask()

template<typename TInputImage>

virtual const ImageSpatialMaskType * itk::ComputeImageExtremaFilter< TInputImage >::GetImageSpatialMask | ( |  | ) |

virtual

## GetMaximum()

template<typename TInputImage>

PixelType itk::ComputeImageExtremaFilter< TInputImage >::GetMaximum | ( |  | ) | const

inline

Definition at line 73 of file itkComputeImageExtremaFilter.h.

## GetMinimum()

template<typename TInputImage>

PixelType itk::ComputeImageExtremaFilter< TInputImage >::GetMinimum | ( |  | ) | const

inline

Definition at line 67 of file itkComputeImageExtremaFilter.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage>

itk::ComputeImageExtremaFilter< TInputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ComputeImageExtremaFilter< TInputImage > |  | ) |

## itkStaticConstMacro()

template<typename TInputImage>

itk::ComputeImageExtremaFilter< TInputImage >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

Image related typedefs.

## New()

template<typename TInputImage>

Pointer itk::ComputeImageExtremaFilter< TInputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## RetrieveMinMax()

template<typename TInputImage>

MinMaxResult itk::ComputeImageExtremaFilter< TInputImage >::RetrieveMinMax | ( | const TInputImage & | ,
|  | const InputImageRegionType & | ,
|  | const ImageSpatialMaskType * | ,
|  | bool | )

static private

## SetImageSpatialMask()

template<typename TInputImage>

virtual void itk::ComputeImageExtremaFilter< TInputImage >::SetImageSpatialMask | ( | const ImageSpatialMaskType * | _arg | ) |

virtual

## ThreadedStreamedGenerateData()

template<typename TInputImage>

void itk::ComputeImageExtremaFilter< TInputImage >::ThreadedStreamedGenerateData | ( | const InputImageRegionType & |  | ) |

override protected

Multi-thread version GenerateData.

## Field Documentation

## m_ImageSpatialMask

template<typename TInputImage>

ImageSpatialMaskConstPointer itk::ComputeImageExtremaFilter< TInputImage >::m_ImageSpatialMask {}

private

Definition at line 100 of file itkComputeImageExtremaFilter.h.

## m_Mutex

template<typename TInputImage>

std::mutex itk::ComputeImageExtremaFilter< TInputImage >::m_Mutex {}

private

Definition at line 106 of file itkComputeImageExtremaFilter.h.

## m_SameGeometry

template<typename TInputImage>

bool itk::ComputeImageExtremaFilter< TInputImage >::m_SameGeometry { false }

private

Definition at line 101 of file itkComputeImageExtremaFilter.h.

## m_ThreadMax

template<typename TInputImage>

PixelType itk::ComputeImageExtremaFilter< TInputImage >::m_ThreadMax { 1 }

private

Definition at line 104 of file itkComputeImageExtremaFilter.h.

## m_ThreadMin

template<typename TInputImage>

PixelType itk::ComputeImageExtremaFilter< TInputImage >::m_ThreadMin { 1 }

private

Definition at line 103 of file itkComputeImageExtremaFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |